> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List callable Sonic (TTS) and Ink (STT) model ids.



## OpenAPI

````yaml latest.yml GET /models
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /models:
    get:
      tags:
        - Models
      summary: List Models
      description: List callable Sonic (TTS) and Ink (STT) model ids.
      operationId: models_list
      parameters:
        - name: capability
          in: query
          description: Filter to `tts` or `stt`. Omit to return both.
          required: false
          schema:
            type: string
            enum:
              - tts
              - stt
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      responses:
        '200':
          description: Public speech model catalog.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListModelsResponse'
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-08-14'
        default: '2026-08-14'
        enum:
          - '2026-08-14'
  schemas:
    ListModelsResponse:
      title: ListModelsResponse
      type: object
      properties:
        data:
          type: array
          description: Callable public model ids for TTS and STT.
          items:
            $ref: '#/components/schemas/ModelCatalogEntry'
      required:
        - data
    ModelCatalogEntry:
      title: ModelCatalogEntry
      type: object
      properties:
        id:
          type: string
          description: Value clients send as TTS `model_id` or STT `model`.
        capability:
          $ref: '#/components/schemas/ModelCapability'
        modes:
          type: array
          description: STT transport paths. Omitted on TTS rows.
          items:
            $ref: '#/components/schemas/STTMode'
      required:
        - id
        - capability
    ModelCapability:
      title: ModelCapability
      type: string
      enum:
        - tts
        - stt
      description: Which speech API family the model belongs to.
    STTMode:
      title: STTMode
      type: string
      enum:
        - batch
        - stream
      description: STT transport path (`batch` file upload or `stream` websocket).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.